DataInputControllerGetDataInputTransforms Method |
GET /DataInput/Transforms/
Gets the data input transforms for a given metric set or data cube.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Transforms")]
public IActionResult GetDataInputTransforms(
Guid fileId,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Transforms")>
Public Function GetDataInputTransforms (
fileId As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Transforms")]
IActionResult^ GetDataInputTransforms(
Guid fileId,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Transforms")>]
member GetDataInputTransforms :
fileId : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- fileId
- Type: SystemGuid
The ID of the metric set or data cube to get the data input transforms for. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An array of
TransformInfoData containing the transform information for the metric set, or a status code indicating the reason for failure.
See Also